-- panel.e: pane for widgets
-- j.babor@gns.cri.nz
-- v 0.1    98-03-14

global function panel(sequence p1,sequence p2,object c,integer f)
-- create rectangular tile, defined by diagonal points p1,p2
-- c is face color, or texture sequence
-- flag:  f=0       ... popped
--        f=1       ... pushed
--        f=0+2=2   ... popped+framed
--        f=1+2=3   ... pushed+framed
-- face & edge colors will be current defaults
-- return panel sequence
    return {{},f,p1,p2,c,edges} end function

global procedure show_panel(sequence w)
    hide_rat()
    tile(w[LT],w[RB],w[CO],w[EC][w[MF]+1])
    show_rat() end procedure
