-- pic.e: pictorial widget
-- j.babor@gns.cri.nz
-- v 0.1   98-03-14

global constant PUT=-1, XOR=-2

global function pic(sequence p, sequence im, integer f)
-- create pictorial widget
-- p is {x,y} pointer at which 2-d sequence of pixels im is to be displayed
-- flag f indicates method of display: put (copied), xor-ed or merged
-- use constants at top to specify mode,
-- !!!***  if f>=0 then f is the transparent color  ***!!!
    return {{},f,p,im}
end function

global procedure show_pic(sequence w)
    hide_rat()
    if w[MF]=-1 then display_image(w[LT],w[PC])
    elsif w[MF]=-2 then xor_image(w[LT],w[PC])
    else merge_image(w[LT],w[PC],w[MF]) end if
    show_rat()
end procedure
