-- hcslides.e: horizontal color slides: demo rgb widget
-- j.babor@gns.cri.nz
-- 98-03-18

global sequence rgb,hs1,hs2,hs3
integer sb13

sb13=fload("sysb13.f")

global procedure hook1(atom pos)
    rgb[1]=pos*63
    set_rgb(rgb)
    fselect(sb13)
    fx=345  fy=111  fj=FLN
    hide_rat()
    box({345,111},{361,124},colors[1])
    fprint(0&#100&sprintf("%2d",rgb[1]))
    show_rat() end procedure

global procedure hook2(atom pos)
    rgb[2]=pos*63
    set_rgb(rgb)
    fselect(sb13)
    fx=345  fy=136  fj=FLN
    hide_rat()
    box({345,136},{361,149},colors[1])
    fprint(0&#100&sprintf("%2d",rgb[2]))
    show_rat() end procedure

global procedure hook3(atom pos)
    rgb[3]=pos*63
    set_rgb(rgb)
    fselect(sb13)
    fx=345  fy=161  fj=FLN
    hide_rat()
    box({345,161},{361,174},colors[1])
    fprint(0&#100&sprintf("%2d",rgb[3]))
    show_rat() end procedure

include hslide.e    -- this include has to be placed *after* hook declaration!

rgb=RGB
hs1=hslide({370,110},180,rgb[1]/63)
hs2=hslide({370,135},180,rgb[2]/63)
hs3=hslide({370,160},180,rgb[3]/63)

global procedure show_color_sliders()
    tile({320,50},{620,190},colors[1],edges[2])
    frame({323,53},{617, 90},edges[1])
    frame({323,93},{617,187},edges[1])
    fselect(sb13)
    fx=470  fy=72  fs=7  fj=FCC
    fprint(-3&#104&"design your own color scheme")
    show_hslide(hs1)
    show_hslide(hs2)
    show_hslide(hs3)
    fx=345  fy=111  fj=FLN
    fprint(0&#100&sprintf("%2d",rgb[1]))
    fx=555  fy=111
    fprint(-1&#10C&"red")
    fx=345  fy=136
    fprint(0&#100&sprintf("%2d",rgb[2]))
    fx=555  fy=136
    fprint(-1&#10A&"green")
    fx=345  fy=161
    fprint(0&#100&sprintf("%2d",rgb[3]))
    fx=555  fy=161
    fprint(-1&#109&"blue") end procedure

global procedure track_color_sliders()
    integer wi
    wi=track_widgets({hs1,hs2,hs3})
    if wi=1 then hs1=click_hslide(hs1,"hook1")
    elsif wi=2 then hs2=click_hslide(hs2,"hook2")
    elsif wi=3 then hs3=click_hslide(hs3,"hook3") end if
end procedure
